### Method

# GIRepository Repository get_typelib_path

since: 2.80

#### Declaration

    const char*
    gi_repository_get_typelib_path (
      GIRepository* repository,
      const char* namespace_
    )

#### Description

If namespace `namespace_` is loaded, return the full path to the .typelib file it was loaded from.

If the typelib for namespace `namespace_` was included in a shared library, return the special string `<builtin>`.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  GI namespace to use, e.g. `Gtk`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

Filesystem path (or `<builtin>`) if successful, `NULL` if namespace is not loaded.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.